using System

namespace ConsoleApp3
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int L, H1, H2, H3, H4;
            L = Convert.ToInt32(Console.ReadLine());
            H1 = Convert.ToInt32(Console.ReadLine());
            H2 = Convert.ToInt32(Console.ReadLine());
            H3 = Convert.ToInt32(Console.ReadLine());
            H4 = Convert.ToInt32(Console.ReadLine());
            if (L < H1) 
            {
                Console.WriteLine(1);
            }
            else if (L < H2) 
            {
                Console.WriteLine(2);
            }
            if (L < H3)
            {
                Console.WriteLine(3);
            }
            else if (L < H4)
            {
                Console.WriteLine(4);
            }
            else 
            {
                Console.WriteLine(-1);
            }




















        }
    }
}